local MultiPolyTrailProjectile = import('/lua/sim/defaultprojectiles.lua').MultiPolyTrailProjectile 
local EffectTemplate = import('/lua/EffectTemplates.lua')

local Fire03Projectile = Class(MultiPolyTrailProjectile) {
	PolyTrails = {
	},

	OnCreate = function(self, inWater)
		MultiPolyTrailProjectile.OnCreate(self, inWater)
		army = self:GetArmy()
		projectileChild = self
		#CreateEmitterOnEntity(projectileChild,army,'/effects/emitters/flamethrower_emit.bp'):ScaleEmitter(0.24) TOO STABBY + WIND
		
		#CreateEmitterOnEntity(projectileChild,army,'/mods/HawksmodFA/effects/emitters/ch_smoke01_emit.bp'):ScaleEmitter(1)
	end,
}

ch_wpn_fire03 = Class(Fire03Projectile) {}

TypeClass = ch_wpn_fire03